module TypingImpls

import TAP
import public Quox.Typing
import public Quox.Pretty

import Derive.Prelude
%language ElabReflection


%runElab deriveIndexed "TyContext" [Show]
%runElab deriveIndexed "EqContext" [Show]
%runElab deriveIndexed "NameContexts" [Show]
%runElab derive "Error" [Show]

export
ToInfo Error where toInfo err = [("err", show $ prettyError True True err)]
